Summary: Scripts for initng
Name: initng-ifiles
Version: 0.1.3
Release: b1
License: GPL
URL: http://www.initng.org
Group: System Environment/Base
Source0: http://download.initng.org/%{name}/v0.0/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake initng-devel
Requires: filesystem
Provides: initng(ifiles)
BuildArchitectures: i586

%description
Initng is a full replacement of the old and in many ways deprecated sysvinit
tool. This package contains all script files needed to run initng

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
cmake . -DLIB_INSTALL_DIR:STRING=/%{_lib}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}/%{_sysconfdir}/hotplug/net.agent
rm -rf %{buildroot}/%{_sysconfdir}/pcmcia/network
rm -rf %{buildroot}%{_datadir}/vim/
rm -rf %{buildroot}/%{_lib}/libgenrunlevel.gentoo
rm -rf %{buildroot}/%{_lib}/libgenrunlevel.debian
mkdir _doc
mv %{buildroot}%{_datadir}/doc/%{name}/* _doc/

%post
if [ $1 = 1 ]; then
  /sbin/genrunlevel --all >/dev/null 2>&1 || :
else
  /sbin/genrunlevel --migrate >/dev/null 2>&1 || :
fi
exit 0

%clean
rm -rf %{buildroot}

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
#%doc _doc/*
%config(noreplace) %{_sysconfdir}/initng
/sbin/genrunlevel
/sbin/install_service
/sbin/ng-update
/%{_lib}/libgenrunlevel*
/%{_lib}/initng
%{_mandir}/*/*

%changelog
* Mon Jul 23 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
